
# line 3 "parser.bison"

/*
 * parser.c - C source for Xshogi
 *
 * Copyright (c) 1993 Matthias Mutz
 *
 * XShogi is based on XBoard 2.0
 *
 * Copyright (c) 1992 Free Software Foundation
 *
 * This file is part of XShogi.
 *
 * XShogi is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * XShogi is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XShogi; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
#include "xshogi.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
                  
enum { False, True };

static void yyerror();
           
static ChessMove move_type;
static int 	 from_x, from_y, to_x, to_y;
static char      piece;

char currentMoveString[MSG_SIZ];
static char token[20];

FILE *outfile = (FILE *)0;

extern FILE	 *gameFileFP, *toFirstProgFP;
extern int	 currentMove;
extern char 	 moveList[MAX_MOVES][MOVE_LEN];

extern void SendToProgram P((char *message, FILE *fp));
extern void MakeMove P((ChessMove *move_type, int from_x, int from_y, int to_x, int to_y));


# line 61 "parser.bison"
typedef union  { int val; char* string; } YYSTYPE;
#ifdef __cplusplus
#  include <stdio.h>
#  include <yacc.h>
#endif	/* __cplusplus */ 
# define PROMOTE 257
# define DROPS 258
# define PIECE 259
# define SQUARE 260
# define NUMBER 261
# define COMMENT 262
# define COLON 263
#define yyclearin yychar = -1
#define yyerrok yyerrflag = 0
extern int yychar;
#ifndef YYMAXDEPTH
#define YYMAXDEPTH 150
#endif

/* __YYSCLASS defines the scoping/storage class for global objects
 * that are NOT renamed by the -p option.  By default these names
 * are going to be 'static' so that multi-definition errors
 * will not occur with multiple parsers.
 * If you want (unsupported) access to internal names you need
 * to define this to be null so it implies 'extern' scope.
 * This should not be used in conjunction with -p.
 */
#ifndef __YYSCLASS
# define __YYSCLASS static
#endif
#ifndef YYSTYPE
#define YYSTYPE int
#endif
YYSTYPE yylval;
__YYSCLASS YYSTYPE yyval;
typedef int yytabelem;
